# UniTAP.dev.ports.modules.link.hdmi.status_tx

class StatusTx:

Class `StatusTx` describes information about HDMI link status on Source (TX - transmitter) side. Contains following info:

- Set and get HDMI mode `hdmi_mode`.
- Link Error counters `error_counters`.
- Video status `video_status`.
- Channel lock `channel_lock`.
- HPD status `hpd_status`.

StatusTx(port_io: UniTAP.libs.lib_tsi.tsi_io.PortIO)
video_status: bool

Returns current video status (video enable or not).

###### Returns:

> object of bool type

error_counters: list

Returns values of current errors on link.

###### Returns:

> object of list type

channel_lock: list

Returns channel lock states of current link.

###### Returns:

> object of list type

hpd_status: bool

Returns True if HDP is enabled, False - if not.

###### Returns:

> object of bool type

hdmi_mode: UniTAP.dev.ports.modules.link.hdmi.types.HdmiModeTx

Returns current HDMI mode.

###### Returns:

> object of `HdmiModeTx` type

available_link_rate: float

Returns available link rate.

###### Returns:

> object of float type